# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.eventpmholstersensor_status import EVENTPMHOLSTERSENSORStatus  # noqa: F401,E501
from swagger_server import util


class EVENTPMHOLSTERSENSOR(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, status: List[EVENTPMHOLSTERSENSORStatus]=None):  # noqa: E501
        """EVENTPMHOLSTERSENSOR - a model defined in Swagger

        :param status: The status of this EVENTPMHOLSTERSENSOR.  # noqa: E501
        :type status: List[EVENTPMHOLSTERSENSORStatus]
        """
        self.swagger_types = {
            'status': List[EVENTPMHOLSTERSENSORStatus]
        }

        self.attribute_map = {
            'status': 'status'
        }
        self._status = status

    @classmethod
    def from_dict(cls, dikt) -> 'EVENTPMHOLSTERSENSOR':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The EVENT_PM_HOLSTER_SENSOR of this EVENTPMHOLSTERSENSOR.  # noqa: E501
        :rtype: EVENTPMHOLSTERSENSOR
        """
        return util.deserialize_model(dikt, cls)

    @property
    def status(self) -> List[EVENTPMHOLSTERSENSORStatus]:
        """Gets the status of this EVENTPMHOLSTERSENSOR.


        :return: The status of this EVENTPMHOLSTERSENSOR.
        :rtype: List[EVENTPMHOLSTERSENSORStatus]
        """
        return self._status

    @status.setter
    def status(self, status: List[EVENTPMHOLSTERSENSORStatus]):
        """Sets the status of this EVENTPMHOLSTERSENSOR.


        :param status: The status of this EVENTPMHOLSTERSENSOR.
        :type status: List[EVENTPMHOLSTERSENSORStatus]
        """

        self._status = status
